Module java.naming
Package javax.naming

## Class NameNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.naming.NamingException
      - - javax.naming.NameNotFoundException

- All Implemented Interfaces:
    `Serializable`

      public class NameNotFoundException
      extends NamingException

  This exception is thrown when a component of the name cannot be resolved because it is not bound.

  Synchronization and serialization issues that apply to NamingException apply directly here.

  Since:
    1.3
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields declared in class javax.naming.NamingException

      `remainingName, resolvedName, resolvedObj, rootException`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NameNotFoundException()` | Constructs a new instance of NameNotFoundException.
    `NameNotFoundException​(String explanation)` | Constructs a new instance of NameNotFoundException using the explanation supplied.

  - ### Method Summary

    - ### Methods declared in class javax.naming.NamingException

      `appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NameNotFoundException

          public NameNotFoundException​(String explanation)

      Constructs a new instance of NameNotFoundException using the explanation supplied. All other fields default to null.
      Parameters:
        `explanation` - Possibly null additional detail about this exception.
      See Also:
        `Throwable.getMessage()`

    - #### NameNotFoundException

          public NameNotFoundException()

      Constructs a new instance of NameNotFoundException. all name resolution fields and explanation initialized to null.